## Privilege Specification for a Schema (schema_priv_spec)

A privilege specification for a schema (schema_priv_spec) defines a set of privileges in a schema.

### Syntax

<schema_priv_spec> ::= <schema_privilege> ON <schema_name>,...

<schema_privilege> ::= CREATEIN | DROPIN

### Explanation

The schema name must identify an existing schema but cannot be the same as the name of a database user.

The current database user must be the owner of all schemas identified by the schema name.

#### CREATEIN

The CREATEIN privilege enables you to create database objects in the specified schema.

#### DROPIN

The DROPIN privilege enables you to delete database objects in the specified schema. All database users that have been granted this privilege for a schema can delete any objects in the schema, irrespective of whether they created these objects themselves.

See also:

GRANT Statement (grant_statement)

REVOKE Statement (revoke_statement)

Privileges: Overview